# db=mysql gui=adminer ref. https://dev.to/codewithml/setup-adminer-with-docker-for-database-management-4dd2
version: '3'

services:

  db_c:
    image: mysql
    environment:
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
      MYSQL_DATABASE:      ${MYSQL_DATABASE}
    volumes:
      - ${dbseed_sql_f}:${dbseed_sql_f__incontainer}  # run dbseed script  ref. https://hub.docker.com/_/mysql  > Initializing a fresh instance

  adminer:  # ref. https://hub.docker.com/_/adminer/
    depends_on:
      - db_c
    image: adminer
    ports:
      - ${ADMINER_PORT:-8080}:8080
    environment:
      ADMINER_DEFAULT_SERVER: db_c            # default server, when :adminer webapp opened, set as :db_c above
      ADMINER_DESIGN: ${ADMINER_DESIGN:-hydra}  # choose theme ref. https://github.com/vrana/adminer/tree/master/designs
